org.eclipse.wst.jsdt.core

## Class ElementChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.wst.jsdt.core.ElementChangedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ElementChangedEvent
    extends java.util.EventObject

An element changed event describes a change to the structure or contents of a tree of JavaScript elements. The changes to the elements are described by the associated delta object carried by this event.

This class is not intended to be instantiated or subclassed by clients. Instances of this class are automatically created by the JavaScript model.

See Also:
  `IElementChangedListener`, `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`, Serialized Form

### Field Summary

Fields
`static int` `POST_CHANGE` Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more JavaScript element(s) expressed as a hierarchical java element delta as returned by `getDelta()`.
`static int` `POST_RECONCILE` Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more JavaScript element(s) expressed as a hierarchical java element delta as returned by `getDelta`.

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ElementChangedEvent(IJavaScriptElementDelta delta, int type)` Creates an new element changed event (based on a `IJavaScriptElementDelta`).

### Method Summary

All Methods Instance Methods Concrete Methods
`IJavaScriptElementDelta` `getDelta()` Returns the delta describing the change.
`int` `getType()` Returns the type of event being reported.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### POST_CHANGE

    public static final int POST_CHANGE

Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more JavaScript element(s) expressed as a hierarchical java element delta as returned by `getDelta()`. Note: this notification occurs during the corresponding POST_CHANGE resource change notification, and contains a full delta accounting for any JavaScriptModel operation and/or resource change.

See Also:
  `IJavaScriptElementDelta`, `org.eclipse.core.resources.IResourceChangeEvent`, `getDelta()`, Constant Field Values

#### POST_RECONCILE

    public static final int POST_RECONCILE

Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more JavaScript element(s) expressed as a hierarchical java element delta as returned by `getDelta`. Note: this notification occurs as a result of a working copy reconcile operation.

See Also:
  `IJavaScriptElementDelta`, `org.eclipse.core.resources.IResourceChangeEvent`, `getDelta()`, Constant Field Values

### Constructor Detail

#### ElementChangedEvent

    public ElementChangedEvent(IJavaScriptElementDelta delta,
                               int type)

Creates an new element changed event (based on a `IJavaScriptElementDelta`).

Parameters:
  `delta` - the JavaScript element delta.
  `type` - the type of delta (ADDED, REMOVED, CHANGED) this event contains

### Method Detail

#### getDelta

    public IJavaScriptElementDelta getDelta()

Returns the delta describing the change.

Returns:
  the delta describing the change

#### getType

    public int getType()

Returns the type of event being reported.

Returns:
  one of the event type constants
See Also:
  `POST_CHANGE`, `POST_RECONCILE`